libglom-1.22: Glom::LayoutItem_Button Class Reference

libglom-1.22 1.21.4

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Glom::LayoutItem_Button Class Reference
Inheritance diagram for Glom::LayoutItem_Button:
[legend]
Collaboration diagram for Glom::LayoutItem_Button:
[legend]

List of all members.

## Public Member Functions
| LayoutItem_Button ()
| LayoutItem_Button (const LayoutItem_Button& src)
LayoutItem_Button& | operator= (const LayoutItem_Button& src)
virtual | ~LayoutItem_Button ()
virtual LayoutItem* | clone () const
| Create a new copied instance.
bool | operator== (const LayoutItem_Button& src) const
virtual Glib::ustring | get_part_type_name () const
Glib::ustring | get_script () const
| Set the python code that will be executed when the button is pressed.
bool | get_has_script () const
void | set_script (const Glib::ustring& script)
| Get the python code that will be executed when the button is pressed.

## Constructor & Destructor Documentation

Glom::LayoutItem_Button::LayoutItem_Button | ( |  | ) |

Glom::LayoutItem_Button::LayoutItem_Button | ( | const LayoutItem_Button& | src | ) |

virtual Glom::LayoutItem_Button::~LayoutItem_Button | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual LayoutItem* Glom::LayoutItem_Button::clone | ( |  | ) | const`[virtual]`

Create a new copied instance.

This allows us to deep-copy a list of LayoutItems.

Implements Glom::LayoutItem.

bool Glom::LayoutItem_Button::get_has_script | ( |  | ) | const

virtual Glib::ustring Glom::LayoutItem_Button::get_part_type_name | ( |  | ) | const`[virtual]`

Implements Glom::LayoutItem.

Glib::ustring Glom::LayoutItem_Button::get_script | ( |  | ) | const

Set the python code that will be executed when the button is pressed.

LayoutItem_Button& Glom::LayoutItem_Button::operator= | ( | const LayoutItem_Button& | src | ) |

bool Glom::LayoutItem_Button::operator== | ( | const LayoutItem_Button& | src | ) | const

void Glom::LayoutItem_Button::set_script | ( | const Glib::ustring & | script | ) |

Get the python code that will be executed when the button is pressed.

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_button.h